### Method

# Meta Context configure

#### Declaration [src]

    gboolean
    meta_context_configure (
      MetaContext* context,
      int* argc,
      char*** argv,
      GError** error
    )

#### Description

No description available.

#### Parameters

`argc`

  Type: `int*`

  Address of the `argc` parameter of your `main()` function (or 0 if `argv` is `NULL`).

  The argument will be modified by the function.

`argv`

  Type: An array of `char**`

  Address of the`argv` parameter of main(), or `NULL`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.
  The length of the array is specified in the `argc` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the commandline arguments (if any) were valid and if the configuration has been successful, `FALSE` otherwise.